import { Project } from './../../shared/models/project.model';
import { ProjectActionTypes } from './project.action.types';
import { Action } from '@ngrx/store';

/** create actions related to projects */

//create get all project action
export class GetAllProjectsAction implements Action {
  type: ProjectActionTypes = ProjectActionTypes.GET_ALL_PROJECTS;
  constructor(public payload: any) {}
}

export class GetAllProjectsActionSuccess implements Action {
  type: ProjectActionTypes = ProjectActionTypes.GET_ALL_PROJECTS_SUCCESS;
  constructor(public payload: Project[]) {}
}

export class GetAllProjectsActionError implements Action {
  type: ProjectActionTypes = ProjectActionTypes.GET_ALL_PROJECTS_ERROR;
  constructor(public payload: string) {}
}

//create project form to add a project

export class CreateProjectFormAddAction implements Action{
  type: ProjectActionTypes = ProjectActionTypes.CREATE_PROJECT_FORM_ADD;
  constructor (public payload: any){}
}

export class CreateProjectFormAddActionSuccess implements Action{
  type: ProjectActionTypes = ProjectActionTypes.CREATE_PROJECT_FORM_ADD_SUCCESS;
  constructor (public payload: any){}
}

export class CreateProjectFormAddActionError implements Action{
  type: ProjectActionTypes = ProjectActionTypes.CREATE_PROJECT_FORM_ADD_ERROR;
  constructor (public payload: string){}
}

//save project form data
export class SaveProjectFormDataAction implements Action{
  type: ProjectActionTypes = ProjectActionTypes.SAVE_PROJECT_FORM_DATA
  constructor (public payload: Project){}
}
//save project form data
export class SaveProjectFormDataActionSuccess implements Action{
  type: ProjectActionTypes = ProjectActionTypes.SAVE_PROJECT_FORM_DATA_SUCCESS
  constructor (public payload: Project){}
}
//save project form data
export class SaveProjectFormDataActionError implements Action{
  type: ProjectActionTypes = ProjectActionTypes.SAVE_PROJECT_FORM_DATA_ERROR
  constructor (public payload: string){}
}

export type ProjectActionUnion =
  | GetAllProjectsAction
  | GetAllProjectsActionSuccess
  | GetAllProjectsActionError
  | CreateProjectFormAddAction
  | CreateProjectFormAddActionSuccess
  | CreateProjectFormAddActionError
  | SaveProjectFormDataAction
  | SaveProjectFormDataActionSuccess
  | SaveProjectFormDataActionError;
