import { TableModule } from 'primeng/table';
import { ButtonModule } from 'primeng/button';
import { NgModule } from '@angular/core';
import { CommonModule, DatePipe } from '@angular/common';

import { ProjectsManagerRoutingModule } from './projects-manager-routing.module';
import { ProjectCreateComponent } from './projects-management/project-create/project-create.component';
import { ProjectNavBarComponent } from './projects-management/project-nav-bar/project-nav-bar.component';
import { ProjectsManagementComponent } from './projects-management/projects-management.component';
import { ProjectsListComponent } from './projects-management/projects-list/projects-list.component';




@NgModule({
  declarations: [
    ProjectCreateComponent,
    ProjectNavBarComponent,
    ProjectsManagementComponent,
    ProjectsListComponent

  ],
  imports: [
    CommonModule,
    ProjectsManagerRoutingModule,
    ButtonModule,
    TableModule
  ],
  providers:[
    DatePipe
  ]
})

export class ProjectsManagerModule { }
